[Launch]
ProgramExecutable=Line\Line.exe
WorkingDirectory="%PAL:AppDir%\Line"
SinglePortableAppInstance=true 
WaitForEXE1=LineAppMgr.exe
WaitForEXE2=LineUpgrader.exe
WaitForEXE3=LinePlayer.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
Line_CU=HKCU\Software\Naver\Line
LINE_LM=HKLM\Software\Naver\LINE
NHN Corporation=HKLM\Software\NHN Corporation\LINE
LINE Corporation=HKLM\SOFTWARE\LINE Corporation\LINE

[RegistryCleanupIfEmpty]
1=HKCU\Software\Naver
2=HKLM\Software\Naver
3=HKLM\Software\NHN Corporation
4=HKLM\SOFTWARE\LINE Corporation

[DirectoriesMove]
Line=%LOCALAPPDATA%\Line

[Language]
Base=%PortableApps.comLocaleName%
Default=en-US

[LanguageStrings]
ENGLISH=en-US
SIMPCHINESE=zh-CN
TRADCHINESE=zh-TW
SPANISH=es
TURKISH=tr
JAPANESE=ja-JP
KOREAN=ko-KR
RUSSIAN=ru
THAI=th

[LanguageFile]
Type=INI
File=%PAL:DataDir%\Line\Data\LINE.ini
Section=global
Key=language

[FileWrite1]
Type=INI
File=%PAL:DataDir%\Line\Data\LINE.ini
Section=global
Key=language
Value=%PAL:LanguageCustom%









